metadata:
  name: video-animation-on-boot
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: manual
  priority: high
  maintainer: "Apertis Project"
  description: "Test whether Plymouth is able to display a graphical theme."

  resources:
    - "LVDS panel or monitor."

  expected:
    - "Plymouth shows the fade-in theme with a chaiwala logo and a set of leaves
       should fade in. Check example at:"
    - "~https://wiki.apertis.org/mediawiki/images/7/7d/Boot.gif"

run:
  steps:
    - "Boot the image and the animation should be displayed during booting."
